/**
 *  ҽ Spring ӿũ ũϿ   ҽԴϴ. 
 *  ҽ  ڵ Ӱ     ֽϴ. 
 * ,  ҽ  ο ø̼   ó  ֽø ˴ϴ. 
 */
package net.javajigi.user.service;

import java.util.List;

import net.javajigi.user.ExistedUserException;
import net.javajigi.user.PasswordMismatchException;
import net.javajigi.user.UserNotFoundException;
import net.javajigi.user.model.User;

/**
 * ּ ־ ּ. 谡 Ŀ.
 * @author       缺(ڹ, javajigi@gmail.com)
 * @uml.dependency   supplier="net.javajigi.user.dao.UserDAOFactory" stereotypes="Omondo::Access"
 */
public interface UserService {
    public int addUser(User user) throws ExistedUserException;

    public int updateUser(User user);

    public int removeUser(String userId);

    public User findUser(String userId) throws UserNotFoundException;

    public List findUserList();

    public boolean login(String userId, String password)
            throws PasswordMismatchException, UserNotFoundException;
}
