/**
 *  ҽ Spring ӿũ ũϿ   ҽԴϴ. 
 *  ҽ  ڵ Ӱ     ֽϴ. 
 * ,  ҽ  ο ø̼   ó  ֽø ˴ϴ. 
 */
package net.javajigi.user.service;

import java.util.List;

import net.javajigi.user.ExistedUserException;
import net.javajigi.user.PasswordMismatchException;
import net.javajigi.user.UserNotFoundException;
import net.javajigi.user.dao.UserDAO;
import net.javajigi.user.model.User;

import org.springframework.context.ApplicationContextAware;

public interface UserService extends ApplicationContextAware{
	public void setUserDAO(UserDAO userDAO);

	public int addUser(User user) throws ExistedUserException;

	public int updateUser(User user);

	public int removeUser(String userId);

	public User findUser(String userId) throws UserNotFoundException;

	public List findUserList();

	public boolean login(String userId, String password)
			throws PasswordMismatchException, UserNotFoundException;
}
