/**
 *  ҽ Spring ӿũ ũϿ   ҽԴϴ. 
 *  ҽ  ڵ Ӱ     ֽϴ. 
 * ,  ҽ  ο ø̼   ó  ֽø ˴ϴ. 
 */
package net.javajigi.user.service;

import junit.framework.TestCase;
import net.javajigi.user.model.User;

import org.springframework.context.ApplicationContext;
import org.springframework.context.support.ClassPathXmlApplicationContext;

public class AOPFactoryBeanTest extends TestCase {
	private ApplicationContext ctx;

	private UserService userService;

	protected void setUp() throws Exception {
		String[] paths = { "/WEB-INF/AOPFactoryBean.xml" };
		ctx = new ClassPathXmlApplicationContext(paths);

		userService = (UserService) ctx.getBean("userService");
	}

	private User populateUser() {
		User user = new User();
		user.setUserId("testuser");
		user.setPassword("password");
		user.setName("缺");
		user.setEmail("javajigi@gmail.com");
		user.setAdmin(false);

		return user;
	}

	protected void tearDown() throws Exception {
		super.tearDown();
	}

	public void testAddAndFindAndDeleteUser() throws Exception {
		User user = populateUser();

		try {
			assertEquals(1, userService.addUser(user));

			User dbUser = userService.findUser(user.getUserId());

			assertEquals(user, dbUser);
		} finally {
			assertEquals(1, userService.removeUser(user.getUserId()));
		}
	}
}
