<%@page contentType="text/html; charset=euc-kr" %>
<%@page import="java.util.List" %>
<%@page import="java.util.Iterator" %>
<%@page import="net.javajigi.board.model.Board" %>
<%@page import="net.javajigi.board.model.BoardFile" %>
<%@page import="net.javajigi.board.service.BoardService" %>
<%@page import="net.javajigi.board.service.BoardServiceHelper" %>

<%@page import="org.springframework.web.bind.RequestUtils" %>
<%
	int boardNo = RequestUtils.getRequiredIntParameter(request, "boardNo");
	int currentPage = RequestUtils.getIntParameter(request, "currentPage", 1);
	
	//Ͻ Layer ̿Ͽ Խù Ʈ ´.
	BoardService service = BoardServiceHelper.getBoardService(application);
	Board board = service.findBoardWithView(boardNo);
%>

<html>
<head>
<title>ڷ Խ - Խù 뺸</title>
<meta http-equiv="Content-Type" content="text/html; charset=euc-kr">
<link rel=stylesheet href="../css/board.css" type="text/css">
<script language="JavaScript">
function boardUpdate() {
	boardForm.action = "board_update.jsp";
	boardForm.submit();
}

function boardRemove() {
	if ( confirm(" Ͻðڽϱ?") ) {
		boardForm.action = "board_remove.jsp?boardNo=<%= boardNo %>";
		boardForm.submit();
	}
}

function boardList() {
	boardForm.action = "board_list.jsp";
	boardForm.submit();
}

function boardFileRemove(fileNo) {
	if ( confirm(" Ͻðڽϱ?") ) {
		fileForm.boardFileNo.value = fileNo;
		fileForm.action = "boardfile_remove.jsp";
		fileForm.submit();
	}
}
</script>
</head>
<body bgcolor=#FFFFFF text=#000000 leftmargin=0 topmargin=0 marginwidth=0 marginheight=0>
<!-- View Form  -->
<form name="boardForm" method="post">
<input type="hidden" name="boardNo" value="<%= boardNo %>"/>
<input type="hidden" name="currentPage" value="<%= currentPage %>"/>
<table border="0" cellpadding="0" cellspacing="1" width="100%" bgcolor="BBBBBB">
  <tr>
	<td width=150 align=center bgcolor="E6ECDE" height="22">
		
	</td>
	<td bgcolor="ffffff" style="padding-left:10">
		<%= board.getName() %>
	</td>
  </tr>
  <tr>
	<td width=150 align=center bgcolor="E6ECDE" height="22">
		
	</td>
	<td bgcolor="ffffff" style="padding-left:10">
		<%= board.getParseCreateDate() %>
	</td>
  </tr>  
  <tr>
	<td width=150 align=center bgcolor="E6ECDE" height="22">
		Email ּ
	</td>
	<td bgcolor="ffffff" style="padding-left:10">
		<%= board.getEmail() %>
	</td>
  </tr>
  <tr>
	<td width=150 align=center bgcolor="E6ECDE" height="22">
		
	</td>
	<td bgcolor="ffffff" style="padding-left:10">
		<%= board.getTitle() %>
	</td>
  </tr>
  <tr>
	<td width=150 align=center bgcolor="E6ECDE" height="22">
		
	</td>
	<td bgcolor="ffffff" style="padding-left:10">
		<%= board.getHtmlFormtWithContent() %>
	</td>
  </tr>		
</table>
</form>
<form name="fileForm" method="post">
<input type="hidden" name="boardNo" value="<%= boardNo %>" />  
<input type="hidden" name="boardFileNo"/>
<table border="0" cellpadding="0" cellspacing="1" width="100%" bgcolor="BBBBBB">
<%
List boardFiles = board.getBoardFiles();
Iterator boardFileIter = boardFiles.iterator();

int no = 1;
while( boardFileIter.hasNext() ) {
	BoardFile boardFile = (BoardFile)boardFileIter.next();
%>	  	
  <tr>
	<td width=150 align=center bgcolor="E6ECDE" height="22">
		 <%= no %>
	</td>
	<td bgcolor="ffffff" style="padding-left:10">
		<a href="../download.do?boardFileNo=<%= boardFile.getFileNo() %>">
			<%= boardFile.getFileName() %>
		</a>
	</td>
	<td width=100 align=center bgcolor="E6ECDE" height="22">
		<input type="button" value="" onClick="boardFileRemove('<%= boardFile.getFileNo() %>')">		
	</td>			
  </tr>
<% 
	no++;
}
%>		  	  	
</table>
</form>
<table width=100% border=0 cellpadding=0 cellspacing=0>
  <tr>
	<td align=center>
	<input type="button" value="Խù " onClick="boardUpdate()"> &nbsp;
	<input type="button" value="Խù " onClick="boardRemove()"> &nbsp;
	<input type="button" value="" onClick="boardList()">
	</td>
  </tr>
</table>
</body>
</html>