/**
 *  ҽ Spring ӿũ ũϿ   ҽԴϴ. 
 *  ҽ  ڵ Ӱ     ֽϴ. 
 * ,  ҽ  ο ø̼   ó  ֽø ˴ϴ. 
 */
package net.javajigi.advice;

import net.javajigi.common.mail.ExceptionMailSender;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.aop.ThrowsAdvice;

/**
 * @author 缺(ڹ, javajigi@gmail.com)
 */
public class EmailNotificationThrowsAdvice implements ThrowsAdvice {
	protected final Log logger = LogFactory.getLog(getClass());

	private ExceptionMailSender mailSender;
	
	public void setMailSender(ExceptionMailSender mailSender) {
		this.mailSender = mailSender;
	}
	
	public void afterThrowing(RuntimeException ex) throws Throwable {
		if (logger.isDebugEnabled()) {
			logger.debug("afterThrowing() ");
			logger.debug("Caught : " + ex.getClass().getName());
		}
		
		mailSender.sendMessage(ex);

		if (logger.isDebugEnabled()) {
			logger.debug("afterThrowing() ");
		}
	}
	
	public void afterThrowing(Exception ex) throws Throwable {
		if (logger.isDebugEnabled()) {
			logger.debug("afterThrowing() ");
			logger.debug("Caught : " + ex.getClass().getName());
		}

		if(logger.isErrorEnabled()) {
			logger.error("Checked Exception ߻߽ϴ.", ex);
		}

		if (logger.isDebugEnabled()) {
			logger.debug("afterThrowing() ");
		}
	}	
}