<%@page contentType="text/html; charset=euc-kr" %>
<%@page import="net.javajigi.board.model.Board" %>
<%@page import="net.javajigi.board.model.BoardFile" %>
<%@page import="net.javajigi.board.service.BoardService" %>
<%@page import="net.javajigi.board.service.BoardServiceHelper" %>
<%@page import="net.javajigi.common.upload.FormFile" %>
<%@page import="net.javajigi.common.upload.CommonsMultipartRequestHandler" %>
<%@page import="net.javajigi.common.util.FileUploadUtil" %>

<%
	String tempDir = "D:\\Temp\\fileupload\\temp\\";
	CommonsMultipartRequestHandler multiHandler = new CommonsMultipartRequestHandler(tempDir);
	multiHandler.handleRequest(request);

	int boardNo = Integer.parseInt(multiHandler.getParameter("boardNo"));
	int currentPage = Integer.parseInt(multiHandler.getParameter("currentPage"));
	
	String name = multiHandler.getParameter("name");
	String password = multiHandler.getParameter("password");
	String email = multiHandler.getParameter("email");
	String title = multiHandler.getParameter("title");
	String content = multiHandler.getParameter("content");
	
	Board board = new Board();
	board.setBoardNo(boardNo);
	board.setName(name);
	board.setPassword(password);
	board.setEmail(email);
	board.setTitle(title);
	board.setContent(content);	
	
	for( int i=1; i <= 3; i++ ) {
		String fileParamName = "file" + i;
		FormFile formFile = multiHandler.getFileParameter(fileParamName);
		
		if( formFile.getFileSize() > 0 ) {
			BoardFile boardFile = FileUploadUtil.uploadFormFile(formFile, "D:\\Temp\\fileupload\\upload\\");	
			board.addBoardFile(boardFile);			
		}
	}
	
	BoardService service = BoardServiceHelper.getBoardService(application);
	service.updateBoard(board);

	response.sendRedirect("board_list.jsp?currentPage=" + currentPage);
%>
