/**
 *  ҽ Spring ӿũ ũϿ   ҽԴϴ. 
 *  ҽ  ڵ Ӱ     ֽϴ. 
 * ,  ҽ  ο ø̼   ó  ֽø ˴ϴ. 
 */
package net.javajigi.filter;

import java.io.IOException;

import javax.servlet.Filter;
import javax.servlet.FilterChain;
import javax.servlet.FilterConfig;
import javax.servlet.ServletException;
import javax.servlet.ServletRequest;
import javax.servlet.ServletResponse;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

public class WelcomeFileFilter implements Filter {
	private String welcomeFile = null;

	protected FilterConfig filterConfig = null;

	public void destroy() {
	}

	/**
	 * ServletRequestü web.xml ޵ ڵ ϴ ޽.
	 */
	public void doFilter(ServletRequest request, ServletResponse response,
			FilterChain chain) throws IOException, ServletException {
		if (welcomeFile != null) {
			HttpServletRequest httpRequest = (HttpServletRequest) request;
			HttpServletResponse httpResponse = (HttpServletResponse) response;
			if (isWelcomePage(httpRequest)) {
				httpResponse.sendRedirect("");
			}
		}

		chain.doFilter(request, response);
	}

	public boolean isWelcomePage(HttpServletRequest request) {
		String uri = request.getRequestURI();

		if (uri.endsWith("/")) {
			return true;
		} else {
			int index = uri.lastIndexOf("/");
			String fileName = uri.substring(index);

			if (fileName.indexOf(".") != -1) {
				return true;
			}
		}

		return false;
	}

	/**
	 * web.xml ޵ ڵ  ʱȭϴ ޽.
	 */
	public void init(FilterConfig filterConfig) throws ServletException {
		this.filterConfig = filterConfig;
		this.welcomeFile = filterConfig.getInitParameter("welcomeFile");
	}

	public FilterConfig getFilterConfig() {
		return filterConfig;
	}

	public void setFilterConfig(FilterConfig cfg) {
		filterConfig = cfg;
	}
}
