/**
 *  ҽ Spring ӿũ ũϿ   ҽԴϴ. 
 *  ҽ  ڵ Ӱ     ֽϴ. 
 * ,  ҽ  ο ø̼   ó  ֽø ˴ϴ. 
 */
package net.javajigi.common.web;

import junit.framework.TestCase;

import org.springframework.mock.web.MockHttpServletRequest;
import org.springframework.mock.web.MockHttpServletResponse;
import org.springframework.web.servlet.ModelAndView;

public class MyUrlFilenameViewControllerTest extends TestCase {
    private MockHttpServletRequest request = null;
    private ModelAndView mv = null;
    private MyUrlFilenameViewController controller = null;
    
    public void setUp() {
    	controller = new MyUrlFilenameViewController();
    }
    
	public void testHandleRequest() {
        request = new MockHttpServletRequest("POST", "/chapter6/index.html");
        request.setContextPath("/chapter6");
        mv = controller.handleRequest(request, new MockHttpServletResponse());
        assertEquals("index", mv.getViewName());		
		
        request = new MockHttpServletRequest("POST", "/chapter6/board/index.html");
        request.setContextPath("/chapter6");
        mv = controller.handleRequest(request, new MockHttpServletResponse());
        assertEquals("board/index", mv.getViewName());
        
        request = new MockHttpServletRequest("POST", "/board/index.html");
        request.setContextPath("");
        mv = controller.handleRequest(request, new MockHttpServletResponse());
        assertEquals("board/index", mv.getViewName());
        
        
	}
}
