/**
 *  ҽ Spring ӿũ ũϿ   ҽԴϴ. 
 *  ҽ  ڵ Ӱ     ֽϴ. 
 * ,  ҽ  ο ø̼   ó  ֽø ˴ϴ. 
 */
package net.javajigi.advice;

import net.javajigi.common.service.EmailService;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.aop.ThrowsAdvice;

/**
 * @author 缺(ڹ, javajigi@gmail.com)
 */
public class MyAppThrowsAdvice implements ThrowsAdvice{
	protected final Log logger = LogFactory.getLog(getClass());
	
	private EmailService emailService = null;
	
	public void setEmailService(EmailService sendEmailService) {
		this.emailService = sendEmailService;
	}
	
	
	public void afterThrowing(RuntimeException ex) throws Throwable {
		if (logger.isDebugEnabled()) {
			logger.debug("afterThrowing() ");
			logger.debug("Caught : " + ex.getClass().getName());
		}
		
		if( logger.isErrorEnabled() ) {
			logger.error(ex.getMessage(), ex);
		}

		emailService.sendException(ex);

		if (logger.isDebugEnabled()) {
			logger.debug("afterThrowing() ");
		}
	}
}
