<%@page contentType="text/html;charset=utf-8" %>
<%@ taglib uri="http://java.sun.com/jstl/core_rt" prefix="c"%>
<%@ taglib uri="http://java.sun.com/jstl/fmt_rt" prefix="fmt" %>
<%@ taglib uri="http://www.springmodules.org/tags/commons-validator"
	prefix="v"%>
<%@ taglib uri="http://www.springframework.org/tags" prefix="spring"%>

<html>
<head>
<title><fmt:message key="board.modify.title"/></title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<link rel=stylesheet href="${pageContext.request.contextPath}/css/board.css" type="text/css">
</head>
<body bgcolor=#FFFFFF text=#000000 leftmargin=0 topmargin=0 marginwidth=0 marginheight=0>
<!-- write Form  -->
<form name="boardForm" action="${pageContext.request.contextPath}/board/editBoard.do" 
	method="post" enctype="multipart/form-data" onsubmit="return validateBoard(this)">
<input type="hidden" name="boardNo" value="${board.boardNo}"/>	
<table border="0" cellpadding="0" cellspacing="1" width="100%" bgcolor="BBBBBB">
  <tr>
	<td width=150 align=center bgcolor="E6ECDE" height="22">
		<fmt:message key="board.name"/>
	</td>
	<td bgcolor="ffffff" style="padding-left:10">
	<c:choose>
		<c:when test="${not empty loginUser.name }">
			<spring:bind path="board.name">
				<input type="text" style="width:150" name="name" value="${status.value}" />
				<span class="fieldError">${status.errorMessage}</span>
			</spring:bind>
		</c:when>
		<c:otherwise>
			<spring:bind path="board.name">
				<input type="text" style="width:150" name="name" value="${loginUser.name}" />
				<span class="fieldError">${status.errorMessage}</span>
			</spring:bind>		
		</c:otherwise>
	</c:choose>
	</td>
  </tr>
  <tr>
	<td width=150 align=center bgcolor="E6ECDE" height="22">
		<fmt:message key="board.password"/>
	</td>
	<td bgcolor="ffffff" style="padding-left:10">
		<spring:bind path="board.password">
			<input type="password" style="width:150" name="password" value="${status.value}" />
			<span class="fieldError">${status.errorMessage}</span>
		</spring:bind>	
	</td>
  </tr>
  <tr>
	<td width=150 align=center bgcolor="E6ECDE" height="22">
		<fmt:message key="board.email"/>
	</td>
	<td bgcolor="ffffff" style="padding-left:10">
	<c:choose>
		<c:when test="${not empty loginUser.name }">
			<spring:bind path="board.email">
				<input type="text" style="width:250" name="email" value="${status.value}" />
				<span class="fieldError">${status.errorMessage}</span>
			</spring:bind>
		</c:when>
		<c:otherwise>
			<spring:bind path="board.email">
				<input type="text" style="width:250" name="email" value="${loginUser.email}">
				<span class="fieldError">${status.errorMessage}</span>
			</spring:bind>			
		</c:otherwise>
	</c:choose>	
	</td>
  </tr>
  <tr>
	<td width=150 align=center bgcolor="E6ECDE" height="22">
		<fmt:message key="board.title"/>
	</td>
	<td bgcolor="ffffff" style="padding-left:10">
		<spring:bind path="board.title">
			<input type="text" style="width:300" name="title" value="${status.value}" />
			<span class="fieldError">${status.errorMessage}</span>
		</spring:bind>	
	</td>
  </tr>
  <tr>
	<td width=150 align=center bgcolor="E6ECDE" height="22">
		<fmt:message key="board.content"/>
	</td>
	<td bgcolor="ffffff" style="padding-left:10">
		<spring:bind path="board.content">
			<textarea rows="10" cols="60" name="content">${status.value}</textarea>
			<span class="fieldError">${status.errorMessage}</span>
		</spring:bind>
	</td>
  </tr>
  <tr>
	<td width=150 align=center bgcolor="E6ECDE" height="22">
		<fmt:message key="board.file"/> 1</td>
	<td bgcolor="ffffff" style="padding-left:10">
		<input type="file" style="width:400" name="file1"/>
	</td>
  </tr>	
  <tr>
	<td width=150 align=center bgcolor="E6ECDE" height="22">
		<fmt:message key="board.file"/> 2
	</td>
	<td bgcolor="ffffff" style="padding-left:10">
		<input type="file" style="width:400" name="file2"/>
	</td>
  </tr>	
  <tr>
	<td width=150 align=center bgcolor="E6ECDE" height="22">
		<fmt:message key="board.file"/> 3
	</td>
	<td bgcolor="ffffff" style="padding-left:10">
		<input type="file" style="width:400" name="file3"/>
	</td>
  </tr>		  		  		  	  	  
</table>
<table border="0" cellpadding="0" cellspacing="1" width="100%">
	<tr>
		<td height="10">
		</td>
	</tr>
</table>
<table border="0" cellpadding="0" cellspacing="1" width="100%" bgcolor="BBBBBB">
<c:set var="no" value="1"/>
<c:forEach items="${board.boardFiles}" var="boardFile">
	<tr>
		<td width=150 align=center bgcolor="E6ECDE" height="22">
			<fmt:message key="board.file"/> ${no}
		</td>
		<td bgcolor="ffffff" style="padding-left:10">
			<a href="${pageContext.request.contextPath}/download.do?boardFileNo=${boardFile.fileNo}"> 
				${boardFile.fileName}
			</a>					
		</td>
	</tr>
<c:set var="no" value="${no + 1}"/>	
</c:forEach>
</table>
<table border="0" cellpadding="0" cellspacing="1" width="100%">
	<tr>
		<td height="10">
		</td>
	</tr>
</table>
<table width=100% border=0 cellpadding=0 cellspacing=0>
  <tr>
	<td align=center>
		<c:choose>
		<c:when test="${board.boardNo != 0}">
			<input type="submit" value="<fmt:message key="board.modify.button"/>" name="modify"/>
		</c:when> 
		<c:otherwise>
			<input type="submit" value="<fmt:message key="board.add.button"/>" name="add">
		</c:otherwise>  
		</c:choose>	
		&nbsp;
		<input type="button" value="<fmt:message key="board.list.button"/>" 
			onClick="location.href='${pageContext.request.contextPath}/board/board.do'">
	</td>
  </tr>
</table>	  
</form>

<v:javascript formName="board" staticJavascript="false" xhtml="true"
	cdata="false" />
<script type="text/javascript">
	<v:javascript dynamicJavascript="false" staticJavascript="true"/>
</script>
</body>
</html>