/**
 *  ҽ Spring ӿũ ũϿ   ҽԴϴ. 
 *  ҽ  ڵ Ӱ     ֽϴ. 
 * ,  ҽ  ο ø̼   ó  ֽø ˴ϴ. 
 */
package net.javajigi.board.service;

import java.util.List;

import javax.ejb.CreateException;

import net.javajigi.board.model.Board;
import net.javajigi.board.model.BoardFile;

import org.springframework.ejb.support.AbstractStatelessSessionBean;

/**
 * ּ ־ ּ. 谡 Ŀ.
 * 
 * @author 缺(ڹ, javajigi@gmail.com)
 */
public class BoardServiceEJB extends AbstractStatelessSessionBean implements
		BoardService {
	private static final String BEAN_NAME = "boardService";
	
	private BoardService boardService; 
	
	/* (non-Javadoc)
	 * @see org.springframework.ejb.support.AbstractStatelessSessionBean#onEjbCreate()
	 */
	protected void onEjbCreate() throws CreateException {
		boardService = (BoardService)getBeanFactory().getBean(BEAN_NAME);
	}

	/* (non-Javadoc)
	 * @see net.javajigi.board.service.BoardService#addBoard(net.javajigi.board.model.Board)
	 */
	public Board addBoard(Board board) {
		return boardService.addBoard(board);
	}

	/* (non-Javadoc)
	 * @see net.javajigi.board.service.BoardService#updateBoard(net.javajigi.board.model.Board)
	 */
	public Board updateBoard(Board board) {
		return boardService.updateBoard(board);
	}

	/* (non-Javadoc)
	 * @see net.javajigi.board.service.BoardService#removeBoard(int)
	 */
	public int removeBoard(int boardNo) {
		return boardService.removeBoard(boardNo);
	}

	/* (non-Javadoc)
	 * @see net.javajigi.board.service.BoardService#findBoard(int)
	 */
	public Board findBoard(int boardNo) {
		return boardService.findBoard(boardNo);
	}

	/* (non-Javadoc)
	 * @see net.javajigi.board.service.BoardService#findBoardWithView(int)
	 */
	public Board findBoardWithView(int boardNo) {
		return boardService.findBoardWithView(boardNo);
	}

	/* (non-Javadoc)
	 * @see net.javajigi.board.service.BoardService#findBoardList(int, int)
	 */
	public List findBoardList(int currentPage, int countPerPage) {
		return boardService.findBoardList(currentPage, countPerPage);
	}

	/* (non-Javadoc)
	 * @see net.javajigi.board.service.BoardService#removeBoardFile(int)
	 */
	public int removeBoardFile(int fileNo) {
		return boardService.removeBoardFile(fileNo);
	}

	/* (non-Javadoc)
	 * @see net.javajigi.board.service.BoardService#findBoardFile(int)
	 */
	public BoardFile findBoardFile(int boardFileNo) {
		return boardService.findBoardFile(boardFileNo);
	}

	/* (non-Javadoc)
	 * @see net.javajigi.board.service.BoardService#getBoardTotalCount()
	 */
	public int getBoardTotalCount() {
		return boardService.getBoardTotalCount();
	}
}
