/**
 *  ҽ Spring ӿũ ũϿ   ҽԴϴ. 
 *  ҽ  ڵ Ӱ     ֽϴ. 
 * ,  ҽ  ο ø̼   ó  ֽø ˴ϴ. 
 */
package net.javajigi.user.service;

import java.rmi.RemoteException;
import java.util.List;

import javax.ejb.EJBObject;

import net.javajigi.user.ExistedUserException;
import net.javajigi.user.PasswordMismatchException;
import net.javajigi.user.UserNotFoundException;
import net.javajigi.user.model.User;

public interface RemoteUserService extends EJBObject {
    public int addUser(User user) throws RemoteException, ExistedUserException;

    public int updateUser(User user) throws RemoteException;

    public int removeUser(String userId) throws RemoteException;

    public User findUser(String userId) throws RemoteException,
            UserNotFoundException;

    public List findUserList() throws RemoteException;

    public boolean login(String userId, String password)
            throws RemoteException, PasswordMismatchException,
            UserNotFoundException;
}
