/**
 *  ҽ Spring ӿũ ũϿ   ҽԴϴ. 
 *  ҽ  ڵ Ӱ     ֽϴ. 
 * ,  ҽ  ο ø̼   ó  ֽø ˴ϴ. 
 */
package net.javajigi.user.web;

import net.javajigi.user.model.User;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.validation.Errors;
import org.springframework.validation.Validator;

public class UserValidator implements Validator {
	protected final Log logger = LogFactory.getLog(getClass());

	public boolean supports(Class clazz) {
		return clazz.equals(User.class);
	}

	public void validate(Object command, Errors errors) {
		if (command == null) {
			errors.rejectValue("user", "error.not-specified", null,
					"Value required.");
		} else {
			User user = (User) command;
			
			if( logger.isDebugEnabled() ) {
				logger.debug("User : " + user);
			}

			if (!(user.getPassword()).equals(user.getPassword2())) {
				if( logger.isErrorEnabled() ) {
					logger.error("ΰ  ȣ ġ ʽϴ.");
				}				
				
				errors.rejectValue("password", "error.input.password.mismath");
			}
		}
	}
}
