<%@page contentType="text/html; charset=utf-8"%>
<%@ taglib uri="http://java.sun.com/jstl/core_rt" prefix="c"%>
<%@ taglib uri="http://java.sun.com/jstl/fmt_rt" prefix="fmt" %>
<%@ taglib uri="http://www.springmodules.org/tags/commons-validator"
	prefix="v"%>
<%@ taglib uri="http://www.springframework.org/tags" prefix="spring"%>

<div id="authentication">
<form action="${pageContext.request.contextPath}/user/login.do"
	id="thisform" method="post" name="authenticationForm"
	onsubmit="return validateLogin(this)">
	<fieldset>
		<legend><fmt:message key="user.login.title"/></legend>
			<p><label for="name" accesskey="9"><fmt:message key="user.id"/> :</label><br />
				<input type="text" id="userId" name="userId" style="width:150"/>
			</p>
			<p><label for="password"><fmt:message key="user.password"/> :</label><br />
				<input type="password" id="password" name="password" style="width:150"/>				
			</p>
			<c:if test="${not empty errorMessage}">
			<p>
				<span class="fieldError">${errorMessage}</span>
			</p>
			</c:if>
			<p>
				<center>
				<input type="submit" name="login" value="<fmt:message key="user.login.button"/>"/>&nbsp;
				<input type="button" value="<fmt:message key="user.add.button"/>"
					onClick="location.href='${pageContext.request.contextPath}/user/editUser.do'" />
			</center>
			</p>
</fieldset>
</form>
</div>


