/**
 *  ҽ Spring ӿũ ũϿ   ҽԴϴ. 
 *  ҽ  ڵ Ӱ     ֽϴ. 
 * ,  ҽ  ο ø̼   ó  ֽø ˴ϴ. 
 */
package net.javajigi.board.dao;

import java.util.ArrayList;
import java.util.List;

import junit.framework.TestCase;
import net.javajigi.board.model.BoardFile;

import org.springframework.context.ApplicationContext;
import org.springframework.context.support.ClassPathXmlApplicationContext;

public class BoardFileDAOHibernateTest extends TestCase {
	private ApplicationContext ctx;

	private BoardFileDAO boardFileDAO;

	protected void setUp() throws Exception {
		String[] paths = { "/WEB-INF/applicationContext.xml",
				"/WEB-INF/applicationContext-jdbc.xml",
				"/WEB-INF/applicationContext-board.xml" };
		ctx = new ClassPathXmlApplicationContext(paths);

		boardFileDAO = (BoardFileDAO) ctx.getBean("boardFileDAO");
	}

	private List populateBoardFile() {
		BoardFile boardFile = new BoardFile();
		boardFile.setBoardNo(10);
		boardFile.setFileName("add.txt");
		boardFile.setContentType("txt");
		boardFile.setFileSize(500);
		boardFile.setTempFileName("uuid");

		List boardFileList = new ArrayList();
		boardFileList.add(boardFile);

		return boardFileList;
	}

	protected void tearDown() throws Exception {
		super.tearDown();
	}

	public void testAddBoardFile() throws Exception {
		boardFileDAO.insert(10, populateBoardFile());
	}
}
