/**
 *  ҽ Spring ӿũ ũϿ   ҽԴϴ. 
 *  ҽ  ڵ Ӱ     ֽϴ. 
 * ,  ҽ  ο ø̼   ó  ֽø ˴ϴ. 
 */
package net.javajigi.user.service;

import junit.framework.TestCase;
import net.javajigi.user.PasswordMismatchException;
import net.javajigi.user.UserNotFoundException;
import net.javajigi.user.dao.MockUserDAO;
import net.javajigi.user.dao.UserDAO;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.context.ApplicationContext;
import org.springframework.context.support.ClassPathXmlApplicationContext;

public class MockUserServiceTest extends TestCase {
	protected final Log logger = LogFactory.getLog(getClass());
	
	private UserDAO mock = null;

	private UserService userService = null;

	protected void setUp() throws Exception {
		mock = new MockUserDAO();

		String[] paths = { "/WEB-INF/applicationContext.xml" };
		ApplicationContext ctx = new ClassPathXmlApplicationContext(paths);
		
		userService = new UserServiceImpl();
		userService.setUserDAO(mock);
		userService.setApplicationContext(ctx);
	}

	protected void tearDown() throws Exception {
		super.tearDown();
	}

	public void testLoginFailedUserNotFound() throws PasswordMismatchException {
		try {
			userService.login ("java", "password");
			
			fail("ȯǴ User ü  Null̿ Ѵ.");
		} catch (UserNotFoundException e) {
			logger.error(e.getMessage());
			
			assertTrue(true);
		}
	}
	
	public void testLoginFailedPasswordMismatch() throws UserNotFoundException {
		try {
			userService.login ("javajigi", "pass");
			
			fail("αϰ ִ  йȣ Ʋ մϴ.");
		} catch (PasswordMismatchException e) {
			logger.error(e.getMessage());
			
			assertTrue(true);
		}
	}

	/*
	 * Test method for 'net.javajigi.user.service.UserServiceImpl.login(String,
	 * String)'
	 */
	public void testLogin() throws Exception {
		assertTrue(userService.login("javajigi", "password"));
	}
}
