/**
 *  ҽ Spring ӿũ ũϿ   ҽԴϴ. 
 *  ҽ  ڵ Ӱ     ֽϴ. 
 * ,  ҽ  ο ø̼   ó  ֽø ˴ϴ. 
 */
package net.javajigi.board.model;

import java.util.ArrayList;
import java.util.List;

import net.javajigi.common.BaseObject;
import net.javajigi.common.util.DateTimeUtil;
import net.javajigi.common.util.StringUtil;

/**
 * ּ ־ ּ. 谡 Ŀ.
 * 
 * @author 缺(ڹ, javajigi@gmail.com)
 */
public class Board extends BaseObject {
	private int boardNo = 0;

	private String title = null;

	private String name = null;

	private String email = null;

	private String password = null;

	private String createDate = null;

	private String content = null;

	private int hitCount = 0;

	private List boardFiles = null;

	public Board() {
		boardFiles = new ArrayList();
	}

	public void addBoardFile(BoardFile boardFile) {
		boardFiles.add(boardFile);
	}

	public void setBoardFiles(List boardFiles) {
		this.boardFiles = boardFiles;
	}

	public List getBoardFiles() {
		return boardFiles;
	}

	public int getBoardNo() {
		return boardNo;
	}

	public void setBoardNo(int boardNo) {
		this.boardNo = boardNo;
	}

	public String getContent() {
		return content;
	}

	public String getHtmlFormtWithContent() {
		if (getContent() != null) {
			return StringUtil.convertHtmlBr(getContent());
		} else {
			return "";
		}
	}

	public void setContent(String content) {
		this.content = content;
	}

	public String getCreateDate() {
		return createDate;
	}

	public String getParseCreateDate() {
		return DateTimeUtil.getParseDateString(getCreateDate(), "-");
	}

	public void setCreateDate(String createDate) {
		this.createDate = createDate;
	}

	public String getEmail() {
		return email;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	public int getHitCount() {
		return hitCount;
	}

	public void setHitCount(int hitCount) {
		this.hitCount = hitCount;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}
}
