/**
 *  ҽ Spring ӿũ ũϿ   ҽԴϴ. 
 *  ҽ  ڵ Ӱ     ֽϴ. 
 * ,  ҽ  ο ø̼   ó  ֽø ˴ϴ. 
 */
package net.javajigi.common.propertyeditor;

import java.beans.PropertyEditorSupport;

import net.javajigi.board.model.BoardFile;
import net.javajigi.common.util.FileUploadUtil;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.web.multipart.MultipartFile;

public class BoardFileMultipartPropertyEditor extends PropertyEditorSupport {
	protected final Log logger = LogFactory.getLog(getClass());

	private String realUploadPath;

	public BoardFileMultipartPropertyEditor(String realUploadPath) {
		this.realUploadPath = realUploadPath;
	}

	public void setValue(Object value) {
		if (value instanceof MultipartFile) {
			MultipartFile multipartFile = (MultipartFile) value;

			if (multipartFile.getSize() > 0) {
				BoardFile boardFile = FileUploadUtil.uploadFormFile(
						multipartFile, realUploadPath);
				super.setValue(boardFile);
			} else {
				super.setValue(null);
			}
		} else {
			super.setValue(value != null ? value.toString().getBytes() : null);
		}
	}
}
