/**
 *  ҽ Spring ӿũ ũϿ   ҽԴϴ. 
 *  ҽ  ڵ Ӱ     ֽϴ. 
 * ,  ҽ  ο ø̼   ó  ֽø ˴ϴ. 
 */
package net.javajigi.user.web;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpSession;

import net.javajigi.user.model.User;
import net.javajigi.user.service.UserService;

import org.springframework.web.servlet.ModelAndView;
import org.springframework.web.servlet.mvc.AbstractCommandController;

public abstract class BaseUserCommandController extends
		AbstractCommandController {
	protected UserService userService = null;

	public void setUserService(UserService userService) {
		this.userService = userService;
	}

	protected ModelAndView dispatchView(HttpServletRequest request)
			throws Exception {
		HttpSession session = request.getSession();

		if (session.getAttribute("loginUser") != null) {
			User loginUser = (User) session.getAttribute("loginUser");
			if (loginUser.isAdmin()) {
				return new ModelAndView("redirect:/user/listUser.do");
			}
		}

		return new ModelAndView("redirect:/index.html");
	}
}
