/**
 *  ҽ Spring ӿũ ũϿ   ҽԴϴ. 
 *  ҽ  ڵ Ӱ     ֽϴ. 
 * ,  ҽ  ο ø̼   ó  ֽø ˴ϴ. 
 */
package net.javajigi.board.web;

import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

import javax.servlet.http.HttpServletRequest;

import net.javajigi.board.model.BoardFile;
import net.javajigi.common.util.FileUploadUtil;

import org.springframework.web.multipart.MultipartFile;
import org.springframework.web.multipart.MultipartHttpServletRequest;
import org.springframework.web.servlet.mvc.SimpleFormController;

/**
 * ּ ־ ּ. 谡 Ŀ.
 * 
 * @author 缺(ڹ, javajigi@gmail.com)
 */
public class BaseBoardFormController extends SimpleFormController {
    private String realUploadPath = null;

    public void setRealUploadPath(String realUploadPath) {
        this.realUploadPath = realUploadPath;
    }

    protected List getBoardFileList(HttpServletRequest request) {
        MultipartHttpServletRequest mpRequest = (MultipartHttpServletRequest) request;
        Iterator fileNameIterator = mpRequest.getFileNames();

        List boardFileList = new ArrayList();
        while (fileNameIterator.hasNext()) {
            MultipartFile multiFile = mpRequest
                    .getFile((String) fileNameIterator.next());

            if (multiFile.getSize() > 0) {
                BoardFile boardFile = FileUploadUtil.uploadFormFile(multiFile,
                        realUploadPath);
                boardFileList.add(boardFile);
            }
        }

        return boardFileList;
    }
}
