/**
 *  ҽ Spring ӿũ ũϿ   ҽԴϴ. 
 *  ҽ  ڵ Ӱ     ֽϴ. 
 * ,  ҽ  ο ø̼   ó  ֽø ˴ϴ. 
 */
package net.javajigi.common.service;

import javax.jms.JMSException;
import javax.jms.Message;
import javax.jms.ObjectMessage;

import net.javajigi.common.mail.ExceptionMailSender;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.ejb.support.AbstractJmsMessageDrivenBean;

public class EmailSendMDB extends AbstractJmsMessageDrivenBean {
	protected final Log logger = LogFactory.getLog(getClass());
	
	private static final String BEAN_NAME = "mailSender";

	private ExceptionMailSender mailSender = null;

	protected void onEjbCreate() {
		mailSender = (ExceptionMailSender) getBeanFactory().getBean(BEAN_NAME);
	}

	public void onMessage(Message message) {
		ObjectMessage objectMessage = (ObjectMessage) message;
		try {
			RuntimeException re = (RuntimeException) objectMessage.getObject();
			
			mailSender.sendMessage(re);
			
			if( logger.isDebugEnabled() ) {
				logger.debug("Email Send Success!!");
			}
		} catch (JMSException e) {
			if( logger.isErrorEnabled() ) {
				logger.error(e.getMessage(), e);
			}
		}

	}
}
