/**
 *  ҽ Spring ӿũ ũϿ   ҽԴϴ. 
 *  ҽ  ڵ Ӱ     ֽϴ. 
 * ,  ҽ  ο ø̼   ó  ֽø ˴ϴ. 
 */
package net.javajigi.common.web;

import java.util.Locale;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import org.springframework.web.bind.RequestUtils;
import org.springframework.web.servlet.ModelAndView;
import org.springframework.web.servlet.i18n.SessionLocaleResolver;
import org.springframework.web.servlet.mvc.Controller;

public class SessionLocaleController implements Controller {
	public static final int KOREA_LOCALE = 1;
	public static final int ENGLISH_LOCALE = 2;
	
	public ModelAndView handleRequest(HttpServletRequest request,
			HttpServletResponse response) throws Exception {
		int localeMode = RequestUtils.getIntParameter(request, "locale", 1);
		
		Locale locale = null;
		if( localeMode == KOREA_LOCALE ){
			locale = Locale.KOREAN;
		} else if( localeMode == ENGLISH_LOCALE ) {
			locale = Locale.ENGLISH;
		} else {
			locale = Locale.KOREAN;
		}
		
		HttpSession session = request.getSession();
		session.setAttribute(SessionLocaleResolver.LOCALE_SESSION_ATTRIBUTE_NAME, locale);
		
		return new ModelAndView("/index");
	}
}
