/**
 *  ҽ Spring ӿũ ũϿ   ҽԴϴ. 
 *  ҽ  ڵ Ӱ     ֽϴ. 
 * ,  ҽ  ο ø̼   ó  ֽø ˴ϴ. 
 */
package net.javajigi.user.dao;

import java.util.List;

import net.javajigi.user.model.User;

import org.springframework.dao.DataAccessException;
import org.springframework.orm.hibernate3.support.HibernateDaoSupport;

public class UserDAOHibernate extends HibernateDaoSupport implements UserDAO {

	public int insert(User user) throws DataAccessException {
		getHibernateTemplate().save(user);

		return 1;
	}

	public int update(User user) throws DataAccessException {
		getHibernateTemplate().update(user);

		return 1;
	}

	public int delete(String userId) throws DataAccessException {
		getHibernateTemplate().delete(findUser(userId));

		return 1;
	}

	public User findUser(String userId) throws DataAccessException {
		User user = (User) getHibernateTemplate().get(User.class, userId);

		return user;
	}

	public List findUserList() throws DataAccessException {
		return getHibernateTemplate().find("from User");
	}

	public boolean existedUser(String userId) throws DataAccessException {
		User user = (User) getHibernateTemplate().get(User.class, userId);
		
		if ( user == null ) {
			return false;
		} else {
			return true;
		}
	}
}
