<%@page contentType="text/html; charset=utf-8" %>
<%@ taglib uri="http://java.sun.com/jstl/core_rt" prefix="c"%>
<%@ taglib uri="http://java.sun.com/jstl/fmt_rt" prefix="fmt" %>

<html>
<head>
<title><fmt:message key="board.view.title"/></title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<link rel=stylesheet href="../css/board.css" type="text/css">
<script language="JavaScript">
function boardFileRemove(fileNo) {
	fileForm.boardFileNo.value = fileNo;
	fileForm.submit();
}
</script>
</head>
<body bgcolor=#FFFFFF text=#000000 leftmargin=0 topmargin=0 marginwidth=0 marginheight=0>
<!-- View Form  -->
<input type="hidden" name="boardNo" value="${board.boardNo}"/>
<form name="boardForm" method="post">
<table border="0" cellpadding="0" cellspacing="1" width="100%" bgcolor="BBBBBB">
  <tr>
	<td width=150 align=center bgcolor="E6ECDE" height="22">
		<fmt:message key="board.name"/>
	</td>
	<td bgcolor="ffffff" style="padding-left:10">
		${board.name}
	</td>
  </tr>
  <tr>
	<td width=150 align=center bgcolor="E6ECDE" height="22">
		<fmt:message key="board.createdate"/>
	</td>
	<td bgcolor="ffffff" style="padding-left:10">
		${board.parseCreateDate}
	</td>
  </tr>  
  <tr>
	<td width=150 align=center bgcolor="E6ECDE" height="22">
		<fmt:message key="board.email"/>
	</td>
	<td bgcolor="ffffff" style="padding-left:10">
		${board.email}
	</td>
  </tr>
  <tr>
	<td width=150 align=center bgcolor="E6ECDE" height="22">
		<fmt:message key="board.title"/>
	</td>
	<td bgcolor="ffffff" style="padding-left:10">
		${board.title}
	</td>
  </tr>
  <tr>
	<td width=150 align=center bgcolor="E6ECDE" height="22">
		<fmt:message key="board.content"/>
	</td>
	<td bgcolor="ffffff" style="padding-left:10">
		${board.htmlFormtWithContent}
	</td>
  </tr>		
</form>
</table>
<form name="fileForm" method="post" action="${pageContext.request.contextPath}/board/deleteFile.do">
<input type="hidden" name="boardNo" value="${board.boardNo}" />  
<input type="hidden" name="boardFileNo"/>
<table border="0" cellpadding="0" cellspacing="1" width="100%" bgcolor="BBBBBB">
<c:set var="no" value="1"/>
<c:forEach items="${board.boardFiles}" var="boardFile">
  <tr>
	<td width=150 align=center bgcolor="E6ECDE" height="22">
		<fmt:message key="board.file"/> ${no}
	</td>
	<td bgcolor="ffffff" style="padding-left:10">
		<a href="../download.do?boardFileNo=${boardFile.fileNo}">
			${boardFile.fileName}
		</a>
	</td>
	<td width=100 align=center bgcolor="E6ECDE" height="22">
		<input type="button" value="삭제" 
			onClick="boardFileRemove('${boardFile.fileNo}')">		
	</td>			
  </tr>
<c:set var="no" value="${no + 1}"/>
</c:forEach>  
</table>
</form>
<table border="0" cellpadding="0" cellspacing="1" width="100%">
	<tr>
		<td height="10">
		</td>
	</tr>
</table>
<table width=100% border=0 cellpadding=0 cellspacing=0>
  <tr>
	<td align=center>
	<input type="button" value="<fmt:message key="board.modify.button"/>" 
		onClick="location.href='${pageContext.request.contextPath}/board/board.do?method=editForm&boardNo=${board.boardNo}'"> &nbsp;
	<input type="button" value="<fmt:message key="board.delete.button"/>" 
		onClick="location.href='${pageContext.request.contextPath}/board/delete.do?boardNo=${board.boardNo}'"> &nbsp;
	<input type="button" value="<fmt:message key="board.list.button"/>" 
		onClick="location.href='${pageContext.request.contextPath}/board/board.do?method=list'">
	</td>
  </tr>
</table>
</body>
</html>