<%@page contentType="text/html; charset=utf-8"%>
<%@ taglib uri="http://java.sun.com/jstl/core_rt" prefix="c"%>
<%@ taglib uri="http://java.sun.com/jstl/fmt_rt" prefix="fmt" %>

<html>
<head>
<title><fmt:message key="user.modify.title"/></title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
</head>
<body bgcolor=#FFFFFF text=#000000 leftmargin=0 topmargin=0
	marginwidth=0 marginheight=0>

<!-- write Form  -->
<form name="userForm" method="post"
	action="${pageContext.request.contextPath}/user/user.do">
<c:choose>
<c:when test="${mode == 'modify'}">
	<input type="hidden" name="method" value="modify"/>
</c:when> 
<c:otherwise>
	<input type="hidden" name="method" value="add"/>
</c:otherwise>  
</c:choose>	
<c:if test="${not empty existedUserException }">
<br/>
<p><b><fmt:message key="error.message"/></b> : 
<span class="fieldError"><c:out value="${existedUserException.message}"/></span>
</p>
</c:if>
<table border="0" cellpadding="0" cellspacing="1" width="100%"
	bgcolor="BBBBBB">
	<tr>
		<td width=150 align=center bgcolor="E6ECDE" height="22">
			<fmt:message key="user.id"/>
		</td>
		<td bgcolor="ffffff" style="padding-left:10">
			<input type="text" style="width:150" name="user.userId" value="${user.userId}" />
		</td>
	</tr>
	<tr>
		<td width=150 align=center bgcolor="E6ECDE" height="22">
			<fmt:message key="user.password"/>
		</td>
		<td bgcolor="ffffff" style="padding-left:10">
			<input type="password" style="width:150" name="user.password"
				value="${user.password}" />
		</td>
	</tr>
	<tr>
		<td width=150 align=center bgcolor="E6ECDE" height="22">
			<fmt:message key="user.password2"/>
		</td>
		<td bgcolor="ffffff" style="padding-left:10">
			<input type="password" style="width:150" name="user.password2"
				value="${user.password}" />
		</td>
	</tr>	
	<tr>
		<td width=150 align=center bgcolor="E6ECDE" height="22">
			<fmt:message key="user.name"/>
		</td>
		<td bgcolor="ffffff" style="padding-left:10">
			<input type="text" style="width:240" name="user.name"
				value="${user.name}" />
		</td>
	</tr>
	<tr>
		<td width=150 align=center bgcolor="E6ECDE" height="22">
			<fmt:message key="user.email"/>
		</td>
		<td bgcolor="ffffff" style="padding-left:10">
			<input type="text" style="width:240" name="user.email"
				value="${user.email}" />
		</td>
	</tr>
	<c:if test="${ loginUser.admin }">
	<tr>
		<td width=150 align=center bgcolor="E6ECDE" height="22">
			<fmt:message key="user.admin"/>
		</td>
		<td bgcolor="ffffff" style="padding-left:10">
			<c:if test="${ user.admin }">
				<input type="checkbox" name="user.admin" value="true" checked />
			</c:if>
			<c:if test="${ not user.admin }">
				<input type="checkbox" name="user.admin" value="true" />
			</c:if>
		</td>
	</tr>
	</c:if>
</table>
<br />
<table width=100% border=0 cellpadding=0 cellspacing=0>
	<tr>
		<td align=center>
		<c:choose>
		<c:when test="${mode == 'modify'}">
			<input type="submit" value="<fmt:message key="user.modify.button"/>" name="modify"/>
		</c:when> 
		<c:otherwise>
			<input type="submit" value="<fmt:message key="user.add.button"/>" name="add"/>
		</c:otherwise>  
		</c:choose>
		<c:if test="${loginUser.admin}">		
		&nbsp;
		<input type="button" value="<fmt:message key="user.list.button"/>"
			onClick="location.href='${pageContext.request.contextPath}/user/user.do?method=list'">
		</c:if>
		</td>
	</tr>
</table>
</form>
</script>
</body>
</html>
